Subject: Re: [PATCH v2 1/4] selftests: add tests_sysfs module

From: Greg KH <[email-masked]>
Date: Fri, 23 Jul 2021 12:38:27 +0200

On Thu, Jul 22, 2021 at 03:34:49PM -0700, Luis Chamberlain wrote:
> kunit relies on UML and UML is a simple one core architecture, to start
> with.

I thought the UML requirement was long gone, are you sure it is still
present?

> This means I cannot run tests for multicore with it, which is
> where many races do happen! Yes, you can run kunit on other
> architectures, but all that is new.

What do you mean by "new"?  It should work today, in today's kernel
tree, right?

> In this case kunit is not ideal given I want to mimic something in
> userspace interaction, and expose races through error injection and
> if we can use as many cores to busy races out.

Can you not do that with kunit?  If not, why not?

thanks,

greg k-h